cfg_opt_t(3)

NAME
cfg_opt_t - Data structure holding information about an option.

SYNOPSIS

#include <confuse.h>

  Data Fields
char * name
The name of the option.
cfg_type_t type
Type of option.
unsigned int nvalues
Number of values parsed.
cfg_value_t ** values
Array of found values.
cfg_flag_t flags
Flags.
cfg_opt_t * subopts
Suboptions (only applies to sections).
cfg_defvalue_t def
Default value.
cfg_func_t func
Function callback for CFGT_FUNC options.
void * simple_value
Pointer to user-specified variable to store simple values (created with the CFG_SIMPLE_* initializers).
cfg_callback_t parsecb
Value parsing callback function.
cfg_validate_callback_t validcb
Value validating callback function.
cfg_print_func_t pf
print callback function

Detailed Description

Data structure holding information about an option. The value(s) are stored as an array of fundamental values (strings, numbers, etc).

Examples:

ftpconf.c, reread.c, and simple.c.

Author

Generated automatically by Doxygen for confuse from the source code.